﻿@model SportsClub.Models.CampaignViewModelStep4
@{
    Layout = null;
}

<form name="CampaignStep4" novalidate ng-submit="saveStep4()">
    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" ui-sref='EmailCampaignAddStep3({campaignType : MC.stateParams.campaignType,campaignId : MC.stateParams.campaignId})'>
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    Preview
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>
        <nav class="step-navigator campaign breadcrumbs">
            <ul>
                @*  CLASSES = done , active , last *@
                <li class="done"><a>Recipients</a></li>
                <li class="done"><a>Content</a></li>
                <li class="done"><a>Scheduling</a></li>
                <li class="active"><a>Preview</a></li>
                <!-- DO NOT DELETE THIS -->
                @*<li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
                <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>*@
                <!-- / DO NOT DELETE THIS -->
            </ul>
        </nav>
        <div style="margin-top:20px;margin-bottom:20px">
            <span style="font-size:18px">Campaign name: </span><span>{{Model.CampaignName}}</span>
        </div>
        <fieldset ng-show="!Model.IsUserRestrictedManager" ngaction="CampaignRecipients_View">
            <legend><span style="font-size:18px">Recipients</span></legend>
            <span class="message"><button type="button" class="default" ng-click="editRecipients()">Click here</button> to view or edit recipient list.</span>
        </fieldset>
        <fieldset>

            @*<legend>Sender</legend>*@
            <fieldset>
                <div class="place-left one-half">
                    <div class="input-control text" data-role="input-control">
                        <dl>
                            <dt><span style="font-size:15px">From:</span>  {{@Html.Ang(m => m.From)}}</dt>

                        </dl>
                    </div>
                </div>
                @*<div class="clearfix"></div>*@
                <div class="place-left one-half">
                    <div class="input-control text" data-role="input-control">
                        <dl>
                            <dt><span style="font-size:15px">Reply to:</span> {{@Html.Ang(m => m.ReplyTo)}}</dt>
                    
                        </dl>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="input-control text">
                    <dl>
                        <dt><span style="font-size:15px">Subject: </span>{{@Html.Ang(m => m.Subject)}}</dt>
                    </dl>
                </div>
            </fieldset>
            <hr />
        </fieldset>
      
            <fieldset>
            <div style="font-size:18px;margin-bottom:5px">Content</div>
            
            <div class="span12 overflow-y-auto" style="width:100%;border:solid 1px #c4bfbf;height:100px">
               
                <dl>
                    <dd ng-bind-html="@Html.Ang(m => m.Body) | unsafe"></dd>
                </dl>
            </div>
        </fieldset>
        <hr />
        <fieldset>
            <div style="font-size:18px;margin-bottom:5px">Scheduling</div>

            <div class="span12">
                <div class="input-control textarea" ng-if="Model.ScheduleType=='Scheduled'">
                    <span style="">{{Model.ScheduleMethod}} on</span> <span style="">{{Model.StrSendDate}}</span>
                </div>
                <div class="input-control textarea" ng-if="Model.ScheduleType=='Sent'">
                    <span style="">{{Model.ScheduleMethod}}</span>
                </div>
            </div>
        </fieldset>
        <hr />
        <fieldset ng-if="Model.Attachments.length > 0">
            <div style="font-size:18px;margin-bottom:5px">Attachments</div>
            <div ng-show="Model.Attachments && Model.Attachments.length > 0">
                <div class="k-upload-files">
                    <ul class="k-upload-files k-reset" ng-repeat="attach in Model.Attachments">
                        <li class="k-file k-file-success">
                            <span class="k-filename" title="{{attach.FileName}}">{{attach.FileName}}</span>
                        </li>
                    </ul>
                </div>
            </div>
        </fieldset>

        <button type="button" class="place-left button link large" ui-sref='EmailCampaignAddStep3({campaignType : MC.stateParams.campaignType,campaignId : MC.stateParams.campaignId})'>Back</button>
        <button type="submit" class="success large place-right button">Submit</button>
        <div class="clearfix"></div>
    </div>

</form>